﻿

/* FORM ELEMENTS   
----------------------------------------------------------*/

fieldset {
    border: none;
    /*width: 59%;*/
    padding: 0;
    margin-bottom: 15px;
}

    fieldset p {
        clear: both;
        margin: 3px 12px 3px 12px;
    }

    fieldset.login label, fieldset.register label, fieldset.changePassword label {
        display: block;
    }

    fieldset label.inline {
        display: inline;
        float: none;
    }

legend {
    font-size: 0.9em;
    font-weight: 600;
    color: #000;
    padding: 2px 4px 0px 4px;
    border-bottom: 1px solid #c0c0c0;
    width: 100%;
    margin-bottom: 5px;
}

label {
    font-size: 12px !important;
    text-align: left;
    font-weight: bold;
    float: left;
    width: 22em;
    padding-top: 6px;
    padding-bottom: 6px;
}

    label[for] {
        cursor: pointer;
    }

input[disabled] + label[for] {
    cursor: not-allowed;
}

input.textEntry {
    font-family: inherit;
    /*font-size: 0.85em !important;*/
    font-size: 12px !important;
    border: 1px solid #ccc;
    padding: 5px;
}

input.errorTextEntry {
    font-family: inherit;
    /*font-size: 0.85em !important;*/
    font-size: 12px !important;
    border: 1px solid red;
    padding: 5px;
}

input.requiredTextEntry {
    font-family: inherit;
    /*font-size: 0.85em !important;*/
    font-size: 12px !important;
    border: 1px solid #eb8f00;
    padding: 5px;
}


    input.textEntry[readonly] {
        background-color: #D8D8D8;
    }


input.datePicker {
    width: 80px;
}

input.passwordEntry {
    font-size: 0.85em;
    border: 1px solid #ccc;
}

textarea.textMultilineEntry {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 0.85em !important;
    border: 1px solid #ccc;
    overflow: auto;
}

textarea.requiredtextMultilineEntry {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 0.85em !important;
    border: 1px solid #eb8f00;
    overflow: auto;
}

input.textMultilineEntry[readonly] {
    background-color: #D8D8D8;
}

select.dropDown {
    font-family: inherit;
    /*font-size: 0.85em !important;*/
    font-size: 12px !important;
    border: 1px solid #ccc;
    padding: 5px;
}

select.requireddropDown {
    font-family: inherit;
    /*font-size: 0.85em !important;*/
    font-size: 12px !important;
    border: 1px solid #eb8f00;
    padding: 5px;
}

select.errordropDown {
    font-family: inherit;
    /*font-size: 0.85em !important;*/
    font-size: 12px !important;
    border: 1px solid red;
    padding: 5px;
}

.searchable-dropdown-content{
    display: none; 
    position: absolute; 
    background-color: #ffffff; 
    width: 250px; 
    max-height: 200px;
    overflow-y: auto; 
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    border: 1px #000;
}

.searchable-dropdown-content a {
  color: black;
  padding: 2px 12px;
  text-decoration: none;
  display: block;
  font-size:12px;
}

.searchable-dropdown-input{
    width:250px;
    font-size:12px;
    padding:5px;
    height:unset;
    border-radius:0px;
    color: black;
    padding-left: 10px;
}

.searchable-dropdown{
    position: relative; 
    display: inline-block;
}

.searchable-dropdown a:hover {background-color: dodgerblue;color:#fff}

input[type="checkbox"] {
    width: 30px;
    cursor: pointer;
}

select.dropDown[enabled] {
    background-color: #D8D8D8;
}

select.listBox {
    font-family: inherit;
    font-size: 0.85em !important;
    border: 1px solid #ccc;
}


div.accountInfo {
    /*width: 42%;*/
}


.submitButton {
    text-align: left;
    padding-right: 10px;
    margin-top: 7px;
}

    /*
.submitButton input[type=submit], button
{
    font-family: inherit;
    font-size: 0.85em;
    border: 1px solid #c0c0c0;
    margin-right: 3px;
    font-weight: bold;
    min-height: 27px;
}
*/
    .submitButton:hover {
        cursor: pointer;
    }

/*
.btn 
{
    font-family: inherit;
    font-size: 0.85em;
    border: 1px solid #c0c0c0;
    margin-right: 3px;
    font-weight: bold;
}
.btn:hover
{
    cursor:pointer;
}
.btn-disabled
{
    color: #B4B8B0;
    background-color: #FBFCFA;
}
.btn-cancel
{
    color: #8A8C88;
    background-color: #D8D8D8;
}
.btn-cancel:hover
{
    cursor:pointer;
}
.btn-green
{
    color: #fff;
    background-color: Green !important;
}
.btn-green:hover
{
    cursor:pointer;
}
.btn-primary
{
    color: #fff;
    background-color: #0D4B9E !important;
}
.btn-primary:hover
{
    cursor:pointer;
}

.btn-large
{
    font-size: 1.2em !important;
}

*/
.clickable {
}

    .clickable:hover {
        cursor: pointer;
    }

table.form {
    border: 0;
    border-collapse: collapse;
    padding: 0;
}

    table.form tr td {
        padding: 2px;
    }


.quaterColumn {
    width: 23%;
    display: inline;
    float: left;
}

.halfColumn {
    width: 96%;
    display: inline;
    float: left;
}

.thirdColumn {
    width: 73%;
    display: inline;
    float: left;
}

.radioButtons {
    display: inline;
    margin-bottom: 5px;
}

.radioButtons label {
        font-weight: normal;
        float: left;
        width: auto;
        min-width: 3em;
        margin-right: 15px;
    }

        /*margin-top: 7px;*/
    .radioButtons input {
        float: left;
        margin-bottom: 8px;
        margin-top: 4px;
        margin-right: 4px;
        margin-left: 4px;
    }

    .requiredradioButtons{
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        /* create custom radiobutton appearance */
        display: inline-block;
        width: 13px;
        height: 13px;
        padding: 6px;
        /* background-color only for content */
        background-clip: content-box;
        border: 1px solid #eb8f00;
        border-radius: 50%;
        margin-bottom : 0px;
    }

    .errorradioButtons{
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        /* create custom radiobutton appearance */
        display: inline-block;
        width: 13px;
        height: 13px;
        padding: 6px;
        /* background-color only for content */
        background-clip: content-box;
        border: 1px solid red;
        border-radius: 50%;
        margin-bottom : 0px;
    }


.checkboxButtons {
    width: auto;
    border: 1px solid #c0c0c0;
    margin: 3px 0;
    overflow-x: hidden;
    overflow-y: auto;
    list-style-type: none;
}

    .checkboxButtons br {
        clear: both;
    }

    .checkboxButtons label {
        font-weight: normal;
        color: #000;
        float: left;
        width: 28em;
        min-width: 6em;
        display: block;
    }

    .checkboxButtons input {
        float: left;
        margin-top: 10px;
    }
    .checkboxButtons label>input {
        float: left;
        margin-top: 0px;
    }

    .checkboxButtons li:before {
        content: "~";
        color: white;
    }

a.wide {
    display: block;
    text-overflow: ellipsis;
    width: 180px;
    /* white-space: nowrap; */
    overflow: hidden;
}

/* tooltip */

.mytooltip {
    display: inline;
    background: url(../Images/help.png);
    background-repeat: no-repeat;
    cursor: pointer;
}

    .mytooltip > div {
        display: none;
        height: 163px;
        padding: 40px 30px 10px 30px;
        width: 310px;
        font-size: 11px;
        color: #fff;
    }


.napslookupImg {
    height:16px;
    /*padding-top:6px;*/
}

.napsnoteHeading{
    padding: 15px 10px 5px 0px;
    font-weight: bold;
}

.napsnote{
    background-color: #d9edf7;
    border-radius: 5px; 
    padding: 8px; 
    line-height: 18px;
}

/* Table ELEMENTS   
----------------------------------------------------------*/

table.data {
    width: 100%;
    margin-top: 5px;
    border: 0;
    border-collapse: collapse;
}

    table.data, table.data th {
        border: 1px solid #CCCCCC;
    }


        table.data>tbody>tr>td {
            border-top: 1px solid #CCD9F2;
            border-bottom: none;
            border-left: none;
            border-right: none;
            padding: 3px;
        }

        table.data tr.noborder td {
            border: none;
        }

        table.data tr th {
            text-align: left;
            padding: 3px;
            background-color: #CCCCCC;
            color: #333333;
        }

table.dataItem {
    margin-top: 5px;
    border: 0;
    border-collapse: collapse;
    width: 100%;
}

    table.dataItem, table.dataItem th {
        /*border: 1px solid #CCCCCC;*/
        border-left: none;
        border-right: none;
        font-size: 1em;
    }


        table.dataItem tr td {
            border: 1px solid #CCD9F2;
        }

        table.dataItem tr td {
            padding: 3px;
        }

        table.dataItem tr th {
            text-align: left;
            padding: 3px;
            color: #333333;
            background-color: transparent;
        }

/* pagination
.pagination {
  margin: 5px 0;
}

.pagination ul {
  display: inline-block;
  *display: inline;
  padding: 0;
  margin-bottom: 0;
  margin-left: 0;
  -webkit-border-radius: 4px;
     -moz-border-radius: 4px;
          border-radius: 4px;
  *zoom: 1;
  -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
     -moz-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
          box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
}

.pagination ul > li {
  display: inline;
}

.pagination ul > li > a,
.pagination ul > li > span {
  float: left;
  padding: 4px 12px;
  line-height: 20px;
  text-decoration: none;
  background-color: #ffffff;
  border: 1px solid #dddddd;
  border-left-width: 0;
}

.pagination ul > li > a:hover,
.pagination ul > li > a:focus,
.pagination ul > .active > a,
.pagination ul > .active > span {
  background-color: #f5f5f5;
}

.pagination ul > .active > a,
.pagination ul > .active > span {
  color: #999999;
  cursor: default;
}

.pagination ul > .disabled > span,
.pagination ul > .disabled > a,
.pagination ul > .disabled > a:hover,
.pagination ul > .disabled > a:focus {
  color: #999999;
  cursor: default;
  background-color: transparent;
}

.pagination ul > li:first-child > a,
.pagination ul > li:first-child > span {
  border-left-width: 1px;
  -webkit-border-bottom-left-radius: 4px;
          border-bottom-left-radius: 4px;
  -webkit-border-top-left-radius: 4px;
          border-top-left-radius: 4px;
  -moz-border-radius-bottomleft: 4px;
  -moz-border-radius-topleft: 4px;
}

.pagination ul > li:last-child > a,
.pagination ul > li:last-child > span {
  -webkit-border-top-right-radius: 4px;
          border-top-right-radius: 4px;
  -webkit-border-bottom-right-radius: 4px;
          border-bottom-right-radius: 4px;
  -moz-border-radius-topright: 4px;
  -moz-border-radius-bottomright: 4px;
}


.pagination-centered {
  text-align: center;
}

.pagination-right {
  text-align: right;
}

---------------------------------------------------------*/

/* jQuery-UI ELEMENTS   
----------------------------------------------------------*/

.ui-datepicker {
    font-size: 80%;
}

.ui-datepicker-trigger {
    height: 16px;
    width: 16px;
    vertical-align: middle;
    margin-left: 3px;
}

.ui-widget {
    font-size: 1em;
    font-family: Arial, Helvetica, sans-serif;
    color: #696969;
}

    .ui-widget INPUT {
        font-family: Arial, Helvetica, sans-serif;
    }


.ui-widget-content {
    color: #696969;
}

.ui-accordion-header {
    font-size: 0.9em;
    font-weight: 600;
}

.ui-accordion .ui-accordion-content {
    padding-left: 0.5em;
    padding-right: 0.5em;
}

.ui-tooltip {
    background: #FFFFCC;
    border: 1px solid #c0c0c0;
}

.ui-menu {
    position: absolute;
    width: 190px;
    text-align: left;
    color: #000;
    z-index: 3000;
}

.select2-chosen {
    font-size: 12px;
    color: #000;
}

.select2-container .select2-choice {
    line-height: 21px;
    height: 21px;
}

    .select2-container .select2-choice ABBR {
        top: 4px;
    }

/* Recaptcha ELEMENTS   
----------------------------------------------------------*/

.recaptchatable A {
    line-height: normal;
}

.select2-container-multi .select2-choices {
    max-height: 100px;
    overflow-y: scroll;
}


input[disabled], select[disabled] {
    cursor: not-allowed;
    /*background-color: #eee;*/
}

label + input[type="checkbox"] {
    margin-top: 5px;
}


/*.editRow {
    cursor: pointer;
}*/

.editRow {
    cursor: pointer;
    -webkit-transition: background 0.25s linear;
    -moz-transition: background 0.25s linear;
    -ms-transition: background 0.25s linear;
    -o-transition: background 0.25s linear;
    transition: background 0.25s linear;
}

    .editRow:hover {
        background-color: #d9edf7;
    }

.editRowExpanded {
    background-color: #d9edf7;
}


.datePicker[style*="display: none"] + .ui-datepicker-trigger, [naps-datepicker].ng-hide + .ui-datepicker-trigger {
    display: none;
}


.selectAsInput {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
    display: none !important;
}
.wizardProgress {
            position: absolute;
            left: 566px;
            top: 1px;
        }



/*.cbList input[type="checkbox"] {
    cursor: pointer;
    margin: 7px 4px 8px 4px;
    float: left;
}

.cbList label{
    float: left;
}*/

/*.maindiv a title {display:none;}
.maindiv a:hover title {display:block;}
.maindiv a:hover {display:block;}
    
  -webkit-animation-duration: 1000s;
*/

/*.test {    
   -webkit-animation-duration: 1000s; 
   display:none; 
}
.maindiv {
  display:inline-block;
}
.maindiv:hover .test {
  display:block;
  border : thin 2px;
  position: absolute;
  right: 3px;
  text-wrap:inherit; 
}*/

/*a {
    position: relative;
}

.popover {
    border: 1px;
    text-decoration: none;
    position: absolute;
    right: 10%;
    bottom: 2px;
    display: block;
    padding: 0 10px;
    margin: 1px 1px 1px 1px;
}

.popover span {
    display: block;
}*/

.wrapper {   
  text-align: center;
}

.wrapper .tooltip {
  background: white;
  border: 1px solid #ccc;
  border-radius: 15px;
  left: 65%;
  display: block;
  top: -5px;
  opacity: 0;
  padding: 5px;
  pointer-events: none;
  position: absolute;
  width: 30%;
  -webkit-transform: translateY(10px);
     -moz-transform: translateY(10px);
      -ms-transform: translateY(10px);
       -o-transform: translateY(10px);
          transform: translateY(10px);
  -webkit-transition: all .25s ease-out;
     -moz-transition: all .25s ease-out;
      -ms-transition: all .25s ease-out;
       -o-transition: all .25s ease-out;
          transition: all .25s ease-out;
  -webkit-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0);
     -moz-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0);
      -ms-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0);
       -o-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0);
          box-shadow: 2px 2px 6px rgba(0, 0, 0, 0);
}

/* This bridges the gap so you can mouse into the tooltip without it disappearing */
.wrapper .tooltip:before {
  bottom: -20px;
  content: " ";
  display: block;
  height: 20px;
  left: 0;
  position: absolute;
  width: 100%;
}  

/* CSS Triangles - see Trevor's post */
.wrapper .tooltip:after {
  border-bottom: solid transparent 1px;
  border-top: solid transparent 8px;
  border-left: solid #D8D8D8 10px;
  left: 100%;
  top:10px;
  content: " ";
  position: absolute;
  width: 0;
}
  
.wrapper:hover .tooltip {
  opacity: 1;
  pointer-events: auto;
  -webkit-transform: translateY(0px);
     -moz-transform: translateY(0px);
      -ms-transform: translateY(0px);
       -o-transform: translateY(0px);
          transform: translateY(0px);
}

/* IE can just show/hide with no transition */
.lte8 .wrapper .tooltip {
  display: none;
}

.lte8 .wrapper:hover .tooltip {
  display: block;
}

.table>tbody>tr.noHorizontalBorder>td,
.table>tbody>tr.noHorizontalBorder>th {
     border-top: none; 
     border-bottom: none; 
}

.table>tbody.noVericalBorder>tr>td,
.table>tbody.noVericalBorder>tr>th {
     border-right: none;
     border-left: none;
}

.table>tbody.nohorizontal>tr>td,
.table>tbody.nohorizontal>tr>th {
     border-top: none; 
     border-bottom: none; 
}

.tableBorderedRounded {
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    border-width: 1px;
    border-style: solid;
    border-collapse: separate;
    border-color:#dddddd;
}

.tableBorderedRounded th:first-child,
.tableBorderedRounded td:first-child{
     padding-left: 15px
}

.myFacilitiesTableBorderedRounded {
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    border-width: 1px;
    border-style: solid;
    border-collapse: separate;
    border-color:#dddddd;
}

.myFacilitiesTableBorderedRounded th:first-child,
.myFacilitiesTableBorderedRounded td:first-child{
     padding-left: 15px
}

.myFacilitiesTableCaption {
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    border-width: 1px;
    border-style: solid;
    border-collapse: separate;
    border-color:#dddddd;
    padding-left:15px
}


.btn-default {
    border: 0.5px solid #e7e7e7 !important;
    border-radius: 5px !important;
}